Subject: [PATCH 1/3] clk: wm831x: Fix clk_register() error code checking

From: [email-masked] (Mark Brown)
Date: Wed, 19 Sep 2012 21:31:19 -0400

On Tue, Sep 18, 2012 at 11:05:28PM -0700, Stephen Boyd wrote:
> clk_register() returns an ERR_PTR upon failure, not NULL. Fix
> these error paths.

Acked-by: Mark Brown <[email-masked]>

this is an API change since the driver was sent which the driver didn't
get updatd for.